MCP Tools Reference: oracledatabase.googleapis.com

Tool: create_cloud_vm_cluster

Create a Cloud Vm Cluster. A Cloud Vm Cluster is a set of Virtual Machines (VMs) on a Cloud Exadata Infrastructure.

The following sample demonstrate how to use curl to invoke the create_cloud_vm_cluster MCP tool.

Curl Request
                  
curl --location 'https://oracledatabase.googleapis.com/mcp' \
--header 'content-type: application/json' \
--header 'accept: application/json, text/event-stream' \
--data '{
  "method": "tools/call",
  "params": {
    "name": "create_cloud_vm_cluster",
    "arguments": {
      // provide these details according to the tool's MCP specification
    }
  },
  "jsonrpc": "2.0",
  "id": 1
}'
                

Input Schema

Request message for CreateCloudVmCluster.

CreateCloudVmClusterRequest

JSON representation
{
  "parent": string,
  "cloudVmCluster": {
    object (CloudVmCluster)
  },
  "cloudVmClusterId": string
}
Fields
parent

string

Required. The resource name of the project to create the Cloud Vm Cluster in. Format: projects/{project}/locations/{location}

cloudVmCluster

object (CloudVmCluster)

Required. The Cloud Vm Cluster to create.

cloudVmClusterId

string

Required. The ID to use for the Cloud Vm Cluster that is being created.

CloudVmCluster

JSON representation
{
  "name": string,
  "exadataInfrastructure": string,
  "displayName": string,
  "odbNetwork": string,
  "odbSubnet": string,
  "backupOdbSubnet": string,
  "licenseType": enum (LicenseType),
  "giVersion": string,
  "timeZone": {
    object (TimeZone)
  },
  "sshPublicKeys": [
    string
  ],
  "nodeCount": integer,
  "ocpuCount": number,
  "memorySizeGb": integer,
  "dbNodeStorageSizeGb": integer,
  "dataStorageSizeTb": number,
  "diskRedundancy": enum (DiskRedundancy),
  "sparseDiskgroupEnabled": boolean,
  "localBackupEnabled": boolean,
  "hostnamePrefix": string,
  "cpuCoreCount": integer,
  "systemVersion": string,
  "dbServerOcids": [
    string
  ],
  "clusterName": string
}
Fields
name

string

Identifier. The name of the VM Cluster resource with the format: projects/{project}/locations/{region}/cloudVmClusters/{cloud_vm_cluster}

exadataInfrastructure

string

Required. The name of the Exadata Infrastructure resource on which VM cluster resource is created, in the following format: projects/{project}/locations/{region}/cloudExadataInfrastuctures/{cloud_extradata_infrastructure}

displayName

string

Optional. User friendly name for this resource.

odbNetwork

string

Optional. The name of the OdbNetwork associated with the VM Cluster. Format: projects/{project}/locations/{location}/odbNetworks/{odb_network}

odbSubnet

string

Optional. The name of the OdbSubnet associated with the VM Cluster for IP allocation. Format: projects/{project}/locations/{location}/odbNetworks/{odb_network}/odbSubnets/{odb_subnet}

backupOdbSubnet

string

Optional. The name of the backup OdbSubnet associated with the VM Cluster. Format: projects/{project}/locations/{location}/odbNetworks/{odb_network}/odbSubnets/{odb_subnet}

licenseType

enum (LicenseType)

Required. License type of VM Cluster.

giVersion

string

Optional. Grid Infrastructure Version.

timeZone

object (TimeZone)

Optional. Time zone of VM Cluster to set. Defaults to UTC if not specified.

sshPublicKeys[]

string

Optional. SSH public keys to be stored with cluster.

nodeCount

integer

Optional. Number of database servers.

ocpuCount

number

Optional. OCPU count per VM. Minimum is 0.1.

memorySizeGb

integer

Optional. Memory allocated in GBs.

dbNodeStorageSizeGb

integer

Optional. Local storage per VM.

dataStorageSizeTb

number

Optional. The data disk group size to be allocated in TBs.

diskRedundancy

enum (DiskRedundancy)

Optional. The type of redundancy.

sparseDiskgroupEnabled

boolean

Optional. Use exadata sparse snapshots.

localBackupEnabled

boolean

Optional. Use local backup.

hostnamePrefix

string

Optional. Prefix for VM cluster host names.

cpuCoreCount

integer

Required. Number of enabled CPU cores.

systemVersion

string

Optional. Operating system version of the image.

dbServerOcids[]

string

Optional. OCID of database servers.

clusterName

string

Optional. OCI Cluster name.

TimeZone

JSON representation
{
  "id": string,
  "version": string
}
Fields
id

string

IANA Time Zone Database time zone. For example "America/New_York".

version

string

Optional. IANA Time Zone Database version number. For example "2019a".

Output Schema

This resource represents a long-running operation that is the result of a network API call.

Operation

JSON representation
{
  "name": string,
  "metadata": {
    "@type": string,
    field1: ...,
    ...
  },
  "done": boolean,

  // Union field result can be only one of the following:
  "error": {
    object (Status)
  },
  "response": {
    "@type": string,
    field1: ...,
    ...
  }
  // End of list of possible types for union field result.
}
Fields
name

string

The server-assigned name, which is only unique within the same service that originally returns it. If you use the default HTTP mapping, the name should be a resource name ending with operations/{unique_id}.

metadata

object

Service-specific metadata associated with the operation. It typically contains progress information and common metadata such as create time. Some services might not provide such metadata. Any method that returns a long-running operation should document the metadata type, if any.

An object containing fields of an arbitrary type. An additional field "@type" contains a URI identifying the type. Example: { "id": 1234, "@type": "types.example.com/standard/id" }.

done

boolean

If the value is false, it means the operation is still in progress. If true, the operation is completed, and either error or response is available.

Union field result. The operation result, which can be either an error or a valid response. If done == false, neither error nor response is set. If done == true, exactly one of error or response can be set. Some services might not provide the result. result can be only one of the following:
error

object (Status)

The error result of the operation in case of failure or cancellation.

response

object

The normal, successful response of the operation. If the original method returns no data on success, such as Delete, the response is google.protobuf.Empty. If the original method is standard Get/Create/Update, the response should be the resource. For other methods, the response should have the type XxxResponse, where Xxx is the original method name. For example, if the original method name is TakeSnapshot(), the inferred response type is TakeSnapshotResponse.

An object containing fields of an arbitrary type. An additional field "@type" contains a URI identifying the type. Example: { "id": 1234, "@type": "types.example.com/standard/id" }.

Any

JSON representation
{
  "typeUrl": string,
  "value": string
}
Fields
typeUrl

string

Identifies the type of the serialized Protobuf message with a URI reference consisting of a prefix ending in a slash and the fully-qualified type name.

Example: type.googleapis.com/google.protobuf.StringValue

This string must contain at least one / character, and the content after the last / must be the fully-qualified name of the type in canonical form, without a leading dot. Do not write a scheme on these URI references so that clients do not attempt to contact them.

The prefix is arbitrary and Protobuf implementations are expected to simply strip off everything up to and including the last / to identify the type. type.googleapis.com/ is a common default prefix that some legacy implementations require. This prefix does not indicate the origin of the type, and URIs containing it are not expected to respond to any requests.

All type URL strings must be legal URI references with the additional restriction (for the text format) that the content of the reference must consist only of alphanumeric characters, percent-encoded escapes, and characters in the following set (not including the outer backticks): /-.~_!$&()*+,;=. Despite our allowing percent encodings, implementations should not unescape them to prevent confusion with existing parsers. For example, type.googleapis.com%2FFoo should be rejected.

In the original design of Any, the possibility of launching a type resolution service at these type URLs was considered but Protobuf never implemented one and considers contacting these URLs to be problematic and a potential security issue. Do not attempt to contact type URLs.

value

string (bytes format)

Holds a Protobuf serialization of the type described by type_url.

A base64-encoded string.

Status

JSON representation
{
  "code": integer,
  "message": string,
  "details": [
    {
      "@type": string,
      field1: ...,
      ...
    }
  ]
}
Fields
code

integer

The status code, which should be an enum value of google.rpc.Code.

message

string

A developer-facing error message, which should be in English. Any user-facing error message should be localized and sent in the google.rpc.Status.details field, or localized by the client.

details[]

object

A list of messages that carry the error details. There is a common set of message types for APIs to use.

An object containing fields of an arbitrary type. An additional field "@type" contains a URI identifying the type. Example: { "id": 1234, "@type": "types.example.com/standard/id" }.

Tool Annotations

Destructive Hint: ❌ | Idempotent Hint: ❌ | Read Only Hint: ❌ | Open World Hint: ❌